<?php
/**
 * phpaga
 *
 * Products
 *
 * This is the products management module
 *
 * @author Florian Lanthaler <florian@phpaga.net>
 * @version $Id: products.php 753 2006-10-25 21:52:28Z florian $
 *
 * Copyright (c) 2005, Florian Lanthaler <florian@phpaga.net>
 *
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *    * Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *
 *    * Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in
 *      the documentation and/or other materials provided with the
 *      distribution.
 *
 *    * Neither the name of Florian Lanthaler nor the names of his
 *      contributors may be used to endorse or promote products derived
 *      from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
 * IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
 * OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

include_once("./config.php");

$prodrows = array();
$prodIds = array();
$count = 0;
$order = null;
$search_args = null;
$offset = 0;
$select_prcat = array();
$prodInfo = array('prod_code' => null,
                  'prod_name' => null,
                  'prcat_id' => null);

phpaga_header(array("menuitem" => "core"));

if (isset ($_REQUEST["offset"]) && is_numeric($_REQUEST["offset"]))
    $offset = $_REQUEST["offset"];

if (isset($_REQUEST["prod_code"]) && strlen($_REQUEST["prod_code"]))
    $prodInfo["prod_code"] = rawurldecode($_REQUEST["prod_code"]);

if (isset($_REQUEST["prod_name"]) && strlen($_REQUEST["prod_name"]))
    $prodInfo["prod_name"] = rawurldecode($_REQUEST["prod_name"]);

if (isset($_REQUEST["prcat_id"]) && is_numeric($_REQUEST["prcat_id"]))
    $prodInfo["prcat_id"] = $_REQUEST["prcat_id"];

foreach ($prodInfo as $key => $value) {
    if (isset($value) && ($value != ""))
        $search_args .= "&amp;$key=".rawurlencode($value);
}

$location = $_SERVER["PHP_SELF"]."?$search_args&amp;order=";

phpaga_products_getProdcats($select_prcat, true);
phpaga_arrayAddOption($select_prcat, PHPAGA_OPTION_ALL);

$products = phpaga_products_search($prodrows, $count, $prodIds,
                                   $prodInfo, $order, $offset,
                                   PHPAGA_RECORDS_PERPAGE);

if (($products != PHPAGA_ERR_NONE) && ($products != PHPAGA_ERR_DB_NO_ROWS))
{
    phpaga_message(_("Information"),
                   $phpaga_error[$products]);
}
else
{

    $tpl = new psmarty;

    $tpl->assign("perm_products", phpaga_user_hasperm(PHPAGA_PERM_MANAGE_SYSSETTINGS));

    $tpl->assign("BROWSE",
                 phpaga_navigate(basename($_SERVER["PHP_SELF"])."?$search_args",
                                 $count, $offset, PHPAGA_RECORDS_PERPAGE));

    $tpl->assign("rows", $prodrows);
    $tpl->assign("product", $prodInfo);
    $tpl->assign("location", $location);
    $tpl->assign("select_prcat", $select_prcat);

    $tpl->display("products.tpl.html");

}

phpaga_footer ();

?>